#!/usr/bin/python

#  - setup.py - 
# This file is part of mp3togo

# Convert audio files to play on a mp3 player
#
# (c) Simeon Veldstra 2004, 2006  <reallifesim@gmail.com>
#
# This software is free.
# 
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You may redistribute this program under the terms of the
# GNU General Public Licence version 2
# Available in this package or at http://www.fsf.org

import sys, os

from distutils.core import setup

import mp3togo

## Sort out the version number from the containing directory
#release = os.path.basename(os.getcwd()).split('-')[1]
#fp = file("mp3togo/__init__.py", 'r')
#inlines = fp.readlines()
#fp.close()
#outlines = []
#for line in inlines:
#	if line.startswith('version = '):
#		outlines.append("version = '%s'\n" % release)
#	else:
#		outlines.append(line)
#fp = file("mp3togo/__init__.py", 'w')
#fp.writelines(outlines)
#fp.close()
	
# patch distutils if it can't cope with the "classifiers" or
# "download_url" keywords

release = mp3togo.version

if sys.version < '2.2.3':
	from distutils.dist import DistributionMetadata
	DistributionMetadata.classifiers = None
	DistributionMetadata.download_url = None

setup(name = "mp3togo", 
      version = release,
      url="http://puddle.ca/mp3togo/",
	  download_url="http://puddle.ca/mp3togo/dist/",
      description = "Archive manager for portable mp3 players",
      author = "Simeon Veldstra",
      author_email = "reallifesim@gmail.com",
      maintainer = "Simeon Veldstra",
      maintainer_email = "reallifesim@gmail.com",
      license = "GNU GPL v2",
      long_description = """
mp3togo loads mp3, ogg vorbis, flac and wav files on to a portable
mp3 player by decoding them (if required) and reencoding in a
consistent lower bitrate mp3 (or vorbis) format. The idea is to
take music from a library of diverse archival quality encodings
and convert it to a space efficient format playable on a portable 
device.

mp3togo will run as a stand alone program or can be imported to
use its components in another program.

The package installs a command line executable named mp3togo
in /usr/bin, for command line options, run `mp3togo --help`.""",
      packages = ["mp3togo"],
	  #data_files = [('/usr/bin', ['bin/mp3togo'])],
	  scripts = ['bin/mp3togo'],
	  classifiers = [
	    'Development Status :: 4 - Beta',
		'Environment :: Console',
		'Intended Audience :: End Users/Desktop',
		'Intended Audience :: System Administrators',
		'License :: OSI Approved :: GNU General Public License (GPL)',
		'Operating System :: POSIX :: Linux',
		'Natural Language :: English',
		'Programming Language :: Python',
		'Topic :: Multimedia :: Sound/Audio :: Conversion',
		'Topic :: Utilities'
		]
     )
